## com.lowagie.text.pdf
Class AcroFields.RevisionStream

    java.lang.Object
      java.io.InputStream
          com.lowagie.text.pdf.AcroFields.RevisionStream

All Implemented Interfaces:
  java.io.Closeable

Enclosing class:
  AcroFields

    private static class AcroFields.RevisionStream

extends java.io.InputStream

Field Summary
`private byte[]` `b`
`private boolean` `closed`
`private int` `length`
`private RandomAccessFileOrArray` `raf`
`private int` `rangePosition`

Constructor Summary
`private` `AcroFields.RevisionStream(RandomAccessFileOrArray raf, int length)`

Method Summary
`void` `close()`
`int` `read()`
`int` `read(byte[] b, int off, int len)`

Methods inherited from class java.io.InputStream
`available, mark, markSupported, read, reset, skip`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### b

    private byte[] b

### raf

    private RandomAccessFileOrArray raf

### length

    private int length

### rangePosition

    private int rangePosition

### closed

    private boolean closed

Constructor Detail

### AcroFields.RevisionStream

    private AcroFields.RevisionStream(RandomAccessFileOrArray raf,
                                      int length)

Method Detail

### read

    public int read()
             throws java.io.IOException

  Specified by:
    `read` in class `java.io.InputStream`
  Throws:
    `java.io.IOException`

### read

    public int read(byte[] b,
                    int off,
                    int len)
             throws java.io.IOException

  Overrides:
    `read` in class `java.io.InputStream`
  Throws:
    `java.io.IOException`

### close

    public void close()
               throws java.io.IOException

  Specified by:
    `close` in interface `java.io.Closeable`
  Overrides:
    `close` in class `java.io.InputStream`
  Throws:
    `java.io.IOException`